:root {
    --color-principal: #349bdb;;
    --color-secundario: #85a1c1; 
    --color-terciario: #2ecc71;
    --color-secundarioRGBA: rgba(46, 204, 113, 0.5);
    --color-fondo: #ffffff;
}

.servicios {
    padding: 50px 0;
    background-color: var(--color-fondo);
    text-align: center;
    position: relative;
}

.servicios .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    position: relative;
}

.servicios h2 {
    font-size: 2.5em;
    margin-bottom: 40px;
    color: var(--color-principal);
    text-align: center;
}

.carrusel {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    gap: 20px;
    padding-bottom: 20px;
    max-width: 100%;
    scroll-behavior: smooth;
    padding: 0 60px;
}

.carrusel::-webkit-scrollbar {
    display: none;
}

.servicio {
    background: var(--color-fondo);
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.3s ease;
    width: 350px;
    scroll-snap-align: center;
    flex-shrink: 0;
    margin: 10px 0;
    border: 1px solid var(--color-principal);
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
}

.servicio img {
    justify-content: center;
    align-items: center;
    margin: auto;
    width: 200px;
    height: 200px;
    object-fit: contain; 
}

.servicio-content {
    padding: 20px;
    text-align: left;
}

.servicio h2 {
    font-size: 1.5em;
    margin: 10px 0;
    color: var(--color-principal);
}

.servicio p {
    margin: 5px 0;
    font-size: 1em;
    color: var(--color-secundario);
    text-align: justify;
}

.carrusel-controles {
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 50%;
    width: calc(100% - 40px);
    transform: translateY(-50%);
    pointer-events: none;
}

.carrusel-boton {
    background-color: var(--color-principal);
    border: none;
    color: var(--color-fondo);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid var(--color-principal);
    cursor: pointer;
    pointer-events: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: ease-in-out .3s;
}

.carrusel-boton:hover {
    background-color: var(--color-fondo);
    color: var(--color-principal);
}

.carrusel-boton.izquierda {
    position: absolute;
    left: 10px;
}

.carrusel-boton.derecha {
    position: absolute;
    right: 10px;
}

#flechaFlotante {
    position: absolute;
    left: 10px; 
    top: 50%; 
    transform: translateY(-50%); 
    display: none; 
    background-color: var(--color-principal);
    color: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 35px;
    font-size: 24px;
    cursor: pointer;
    z-index: 1000; 
}

.animacion-deslizamiento {
    animation: deslizarDerecha 1.5s infinite;
}

@keyframes deslizarDerecha {
    0% { transform: translateY(-50%) translateX(0); }
    50% { transform: translateY(-50%) translateX(10px); }
    100% { transform: translateY(-50%) translateX(0); }
}

/*Fin del apartado servicios*/

.valores {
    background-color: var(--color-principal);
    padding: 60px 20px;
    text-align: center;
    color: var(--color-fondo);
}

.titulo-seccion {
    font-size: 2.5em;
    margin-bottom: 40px;
}

.contenido {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 40px;
}

.valor {
    background-color: var(--color-fondo);
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    flex: 1 1 calc(30%);
    max-width: 350px;
    min-width: 280px;
}

.valor h3 {
    margin-top: 0;
    font-size: 1.8em;
    color: var(--color-principal);
}

.valor p {
    color: var(--color-secundario);
    font-size: 1.1em;
}

/*Fin de valores*/

.equipo {
    padding: 50px 0;
    text-align: center;
    background-color: var(--color-fondo);
}

.equipo .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.equipo h2 {
    font-size: 2.5em;
    margin-bottom: 40px;
    color: var(--color-principal);
}

.equipo-carousel {
    overflow: hidden;
    margin-top: 20px;
}

.carousel-inner {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.miembro {
    margin: auto;
    background: var(--color-fondo);
    padding: 20px;
    border-radius: 10px;
    text-align: left;
    display: flex;
    align-items: center;
    gap: 20px;
    flex: 0 0 auto;
    width: 100%;
}

.miembro img {
    border: 7px solid var(--color-principal);
    width: 150px;
    height: 150px;
    border-radius: 50%;
    object-fit: cover;
    flex-shrink: 0;
}

.miembro h3 {
    font-size: 1.5em;
    margin: 0;
    color: var(--color-principal);
    margin-bottom: 20px;
}

.miembro p {
    margin: 5px 0;
    font-size: 1em;
    color: var(--color-secundario);
}

.miembro-texto {
    flex-grow: 1;
}

.miembro-texto a {
    display: inline-block;
    margin-top: 10px;
    color: var(--color-principal);
    text-decoration: none;
}

.miembro-texto a:hover {
    text-decoration: underline;
}

.controls {
    margin-top: 20px;
    text-align: center;
}

.controls a {
    display: inline-block;
    padding: 10px 20px;
    margin: 0 10px;
    background-color: var(--color-principal);
    color: var(--color-fondo);
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border: 1px solid var(--color-principal);
}

.controls a:hover {
    background-color: var(--color-fondo);
    color: var(--color-principal);
}

/* Estilos responsivos */
@media (max-width: 768px) {
    .miembro {
        flex-direction: column;
        align-items: center;
    }

    .miembro img {
        width: 120px;
        height: 120px;
    }

    .miembro h3 {
        font-size: 1.2em;
    }

    .miembro p {
        font-size: 0.9em;
    }

    .controls a {
        padding: 8px 16px;
    }
}


/*Fin del apartado de miembros*/

.mision-vision {
    padding: 60px 20px;
    color: var(--color-principal);
}

.contenedor {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.titulo-seccion {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 50px;
}

.contenido {
    display: flex;
    gap: 30px;
    justify-content: center;
}

.mision, .vision {
    background-color: var(--color-principal);
    padding: 40px;
    border-radius: 15px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
    flex: 1; 
    max-width: 45%;
    text-align: center;
}

.mision h3, .vision h3 {
    margin-top: 0;
    font-size: 2em;
    color: #ffffff;
}

.mision p, .vision p {
    color: #ffffff;
    font-size: 1.2em;
}

/* fin de mision y vision */
@media (max-width: 870px) {
    .mision, .vision {
        padding: 20px;
    }

    .mision h3, .vision h3 {
        font-size: 1.8em;
    }

    .mision p, .vision p {
        font-size: 1.1em;
    }
    
    .valor{
        padding: 20px;
    }
}

@media (max-width: 700px) {
    .mision, .vision{
        flex: auto;
        max-width: 100%;
        padding: 15px;
    }
}

@media (min-width: 900px) {
    .equipo-miembros {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 500px) {
    .contenedor{
        padding: 0;
    }

    .servicio{
        width: 300px;
    }
    .carrusel-controles {
        display: none;
    }

    .flecha-flotante {
        display: block;
    }

}


/* fin de media-query */